nxt.db

## Class DbKey.Factory<T>

- java.lang.Object
- - nxt.db.DbKey.Factory<T>

- Direct Known Subclasses:
    DbKey.HashHashKeyFactory, DbKey.HashHashLongKeyFactory, DbKey.HashKeyFactory, DbKey.HashLongKeyFactory, DbKey.LongKeyFactory, DbKey.LongLongKeyFactory, DbKey.SmartFactory, DbKey.StringKeyFactory
  Enclosing interface:
    DbKey

      public abstract static class DbKey.Factory<T>
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Factory(java.lang.String pkClause, java.lang.String pkColumns, java.lang.String selfJoinClause)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPKClause()`
    `java.lang.String` | `getPKColumns()`
    `java.lang.String` | `getSelfJoinClause()`
    `T` | `newEntity(DbKey dbKey)`
    `abstract DbKey` | `newKey(java.sql.ResultSet rs)`
    `abstract DbKey` | `newKey(T t)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          protected Factory(java.lang.String pkClause,
                            java.lang.String pkColumns,
                            java.lang.String selfJoinClause)

  - ### Method Detail

    - #### newKey

          public abstract DbKey newKey(T t)

    - #### newKey

          public abstract DbKey newKey(java.sql.ResultSet rs)
                                throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### newEntity

          public T newEntity(DbKey dbKey)

    - #### getPKClause

          public final java.lang.String getPKClause()

    - #### getPKColumns

          public final java.lang.String getPKColumns()

    - #### getSelfJoinClause

          public final java.lang.String getSelfJoinClause()